InputMethodHighlight (JavaFX 13)

Module javafx.graphics
Package javafx.scene.input

## Enum InputMethodHighlight

- java.lang.Object
- - java.lang.Enum<InputMethodHighlight>
  - - javafx.scene.input.InputMethodHighlight

- All Implemented Interfaces:
    `Serializable`, `Comparable<InputMethodHighlight>`

      public enum InputMethodHighlight
      extends Enum<InputMethodHighlight>

  The enum that contains the input method text highlights.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SELECTED_CONVERTED` | Highlight used for the selected converted input method text
    `SELECTED_RAW` | Highlight used for the selected raw input method text
    `UNSELECTED_CONVERTED` | Highlight used for the unselected converted input method text
    `UNSELECTED_RAW` | Highlight used for the unselected raw input method text

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InputMethodHighlight` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static InputMethodHighlight[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSELECTED_RAW

          public static final InputMethodHighlight UNSELECTED_RAW

      Highlight used for the unselected raw input method text

    - #### SELECTED_RAW

          public static final InputMethodHighlight SELECTED_RAW

      Highlight used for the selected raw input method text

    - #### UNSELECTED_CONVERTED

          public static final InputMethodHighlight UNSELECTED_CONVERTED

      Highlight used for the unselected converted input method text

    - #### SELECTED_CONVERTED

          public static final InputMethodHighlight SELECTED_CONVERTED

      Highlight used for the selected converted input method text

  - ### Method Detail

    - #### values

          public static InputMethodHighlight[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InputMethodHighlight c : InputMethodHighlight.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InputMethodHighlight valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null